## python-headerparser 0.4.0

=== docs/requirements.txt ===
Sphinx~=1.8
sphinx_rtd_theme~=0.3.0

# Force Read the Docs to use an up-to-date setuptools:
setuptools>=34.4.0

=== debian/changelog ===
python-headerparser (0.4.0-3) unstable; urgency=medium

  * Fix reproducibility

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 05 Jul 2022 13:23:50 +0200

python-headerparser (0.4.0-2) unstable; urgency=medium

  * Source-only upload.
  * Update standards version to 4.6.1, no changes needed.

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 31 May 2022 12:48:46 +0200

python-headerparser (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1005875)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 03 Mar 2022 21:25:31 +0100

=== debian/control ===
Source: python-headerparser
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-doc,
 python3-pytest,
 python3-pytest-mock,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/jwodder/headerparser
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-headerparser
Vcs-Git: https://salsa.debian.org/python-team/packages/python-headerparser.git

Package: python3-headerparser
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-six,
Description: Parse key-value pairs in RFC 822 style headers
 This Python module parses key-value pairs in the style of RFC 822 (e-mail)
 headers and converts them into case-insensitive dictionaries with the
 trailing message body (if any) attached. Low-level functions for just
 scanning header fields (breaking them into sequences of key-value pairs
 without any further processing) are also included.

Package: python3-headerparser-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 python3-doc,
Description: Parse key-value pairs in RFC 822 style headers - documentation
 This Python module parses key-value pairs in the style of RFC 822 (e-mail)
 headers and converts them into case-insensitive dictionaries with the
 trailing message body (if any) attached. Low-level functions for just
 scanning header fields (breaking them into sequences of key-value pairs
 without any further processing) are also included.
 .
 This package contains documentation for the headerparser module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 python3 -m sphinx -N -b html docs/ docbuilddir/html

=== debian/watch ===
version=4
https://github.com/jwodder/headerparser/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-headerparser 0.5.1

=== docs/requirements.txt ===
Sphinx~=7.0
sphinx-copybutton~=0.5.0
sphinx_rtd_theme~=1.0

=== debian/changelog ===
python-headerparser (0.5.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.5.1
  * gbp.conf: match Salsa
  * remove dependency on python3-six
  * add new dependencies:
    * pybuild-plugin-pyproject
    * python3-attr build
    * python3-deprecated
    * python3-sphinx-copybutton
  * apply Multiarch hint

 -- Alexandre Detiste <tchet@debian.org>  Sun, 14 Apr 2024 22:39:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,13 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-attr,
+ python3-deprecated,
  python3-setuptools,
- python3-six,
  python3-sphinx,
+ python3-sphinx-copybutton,
  python3-sphinx-rtd-theme,
  python3-doc,
  python3-pytest,
@@ -27,7 +30,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-six,
 Description: Parse key-value pairs in RFC 822 style headers
  This Python module parses key-value pairs in the style of RFC 822 (e-mail)
  headers and converts them into case-insensitive dictionaries with the
@@ -38,6 +40,7 @@
 Package: python3-headerparser-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=src/ LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 python3 -m sphinx -N -b html docs/ docbuilddir/html

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-setuptools, python3-pytest, python3-pytest-mock
